# Generated from activemerchant-1.137.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name activemerchant

Name: rubygem-%{gem_name}
Version: 1.137.0
Release: 1%{?dist}
Summary: Framework and tools for dealing with credit card transactions
License: MIT
URL: http://activemerchant.org/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 3.1
# BuildRequires: rubygem(mocha) >= 1
# BuildRequires: rubygem(mocha) < 2
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry-byebug)
# BuildRequires: rubygem(test-unit) >= 3
# BuildRequires: rubygem(test-unit) < 4
# BuildRequires: rubygem(thor)
BuildArch: noarch

%description
Active Merchant is a simple payment abstraction library used in and sponsored
by Shopify. It is written by Tobias Luetke, Cody Fauser, and contributors. The
aim of the project is to feel natural to Ruby users and to abstract as many
parts as possible away from the user to offer a consistent interface across
all supported gateways.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG
%doc %{gem_instdir}/CONTRIBUTORS
%doc %{gem_instdir}/README.md

%changelog
* Fri Aug 02 2024 mockbuilder - 1.137.0-1
- Initial package
